@echo off
REM
REM  QA batch for endf formatted tapes
REM
REM  Runs sequencely STANEF+CHECKR+FIZCON+PSYCHE 
REM  from the ENDFUTIL package.
REM
REM  Usage:   QA %1 [%2]
REM              %1= ENDF-5,6 tape (include extension if any)
REM              %2= not blank, keep stanef.out endf formatted file
REM                  otherwise delete stanef.out
REM
REM  Results saved on %1.QA (any extension inclueded in %1 is removed)
REM
REM  Author: D. L. Aldama, Nov. 2003
REM
REM  Operating System: WINDOWS NT, 2000, XP
REM                    batch extensions required
REM
REM  Notes: You should set the variable e6util below
REM
   set e6util=\endfutil\
REM
REM  Bookeeping
REM
   if exist stanef.inp del stanef.inp
   if exist stanef.out del stanef.out
   if exist checkr.inp del checkr.inp
   if exist checkr.out del checkr.out
   if exist fizcon.inp del fizcon.inp
   if exist fizcon.out del fizcon.out
   if exist psyche.inp del psyche.inp
   if exist psyche.out del psyche.out
   for /F "delims=. " %%i in ("%1") do set ff=%%i
   if exist %ff%.QA    del %ff%.QA
REM
REM  Stanef (re-sequencing)
REM
   echo %1            >stanef.inp
   echo stanef.out   >>stanef.inp
   echo 0            >>stanef.inp
   echo 0,N,N,N      >>stanef.inp
   echo DONE         >>stanef.inp
   echo ***** Running STANEF ON %1 *****
   %e6util%stanef<stanef.inp
REM
REM  Checkr
REM
   echo stanef.out     >checkr.inp
   echo checkr.out    >>checkr.inp
   echo.              >>checkr.inp
   echo DONE          >>checkr.inp
   echo ***** Running CHECKR ON %1 *****
   %e6util%checkr<checkr.inp
REM
REM  Fizcon
REM
   echo stanef.out     >fizcon.inp
   echo fizcon.out    >>fizcon.inp
   echo.              >>fizcon.inp
   echo DONE          >>fizcon.inp
   echo ***** Running FIZCON ON %1 *****
   %e6util%fizcon<fizcon.inp
REM
REM  Psyche
REM
   echo stanef.out        >psyche.inp
   echo psyche.out       >>psyche.inp
   echo.                 >>psyche.inp
   echo DONE             >>psyche.inp
   echo ***** Running PSYCHE ON %1 *****
   %e6util%psyche<psyche.inp
   copy checkr.out+fizcon.out+psyche.out %ff%.QA
   echo QA results on %ff%.QA
   if exist checkr.inp del checkr.inp
   if exist checkr.out del checkr.out
   if exist fizcon.inp del fizcon.inp
   if exist fizcon.out del fizcon.out
   if exist psyche.inp del psyche.inp
   if exist psyche.out del psyche.out
   if exist stanef.inp del stanef.inp
   if not %2.==. goto reset
   if exist stanef.out del stanef.out
:reset
   set e6util=
