@echo off
rem
rem  QADir.bat: Runs STANEF+CHECKR+FIZCON+PSYCHE for all the
rem             ENDF files contained on a directory
rem
rem  Author: D. L. Aldama, IAEA/NDS Consultant
rem
rem  Date: Nov, 2004
rem
rem  Usage: QADir EXT dir1 [dir2] ... [dirn]
rem
rem         EXT: Extension for the files to be  checked
rem                   * = all extensions (*.*)
rem                   !*= no extension   (*. )
rem
rem         dir1, dir2, ... dirn: Directories containing the evaluated
rem                               nuclear data files
rem
rem  Examples: QaDir dat jendl33 endfb68
rem            QADir !*  za_e68
rem            QADir  *  jendl33
rem
rem  Used procedures and codes: QA.bat
rem       STANEF,CHECKR,FIZCON,PSYCHE from ENDFUTIL package
rem
rem  Operating System: WINDOWS NT, 2000, XP
rem                    (Batch extensions required)
rem
rem  Notes: Check environment variables in QA.bat
rem         Check local enviroment variables below
rem
    set prog=/aldama/fendl21/fendlprg/
rem
    echo ****** QA ******
    Date/T
    Time/T
    set ext=
    if not %1.==!*. set ext=%1
    shift
:next
    if %1.==. goto reset
    set dir1=%1\
    if not exist %dir1% goto reset
    shift
    if exist temp.inp del temp.inp
    echo Processing %dir1%
    dir /B/ON %dir1%*.%ext% >temp.inp
    for /F "delims= " %%i in (temp.inp) do call %prog%QA %dir1%%%i
    if exist temp.inp del temp.inp
    goto next
:reset
    set prog=
    set dir1=
    set ext=
    echo.
    date/T
    time/T
    echo ***** Job ended *****
