@echo off
rem
rem RemDer.bat: Remove derived MTs from an ENDF formatted file
rem
rem Author: D. L. Aldama, IAEA Consultant
rem Date: 11/2004
rem
rem Called programs: MERGER  from PREPRO02 package
rem                  DICTIN  from PREPRO02 package
rem                  STANEF  from ENDFUTIL package
rem
rem Operating System: WINDOWS, NT, 2000, XP
rem                   batch extensions are required
rem
rem Set pprodir environment variable for PREPRO2002 package
rem Set e6util  environment variable for ENDFUTIL package
rem
rem Setting environment
rem
    set pprodir=\PREPRO02\
    set e6util=\ENDFUTIL\
rem
rem  Initial bookeeping
rem
    if exist ENDFLIB.MRG del ENDFLIB.MRG
    if exist %2 del %2
    if exist MERGER.INP  del MERGER.INP
rem
rem Merge (Remove derived MTs)
rem
    echo ENDFLIB.MRG              >MERGER.INP
    echo Selected data for FENDL-2.1 >>MERGER.INP
    echo %1                      >>MERGER.INP
    echo END                     >>MERGER.INP
    echo      0 0  0 9999999151  >>MERGER.INP
    echo      0 0208 9999999218  >>MERGER.INP
    echo      0 0451 9999999999  >>MERGER.INP
    echo.                        >>MERGER.INP
    echo.                        >>MERGER.INP
    if exist %pprodir%MERGER.EXE %pprodir%MERGER
rem
rem Dictin (Updating MF=1/MT=451)
rem
    if exist ENDFLIB.DIC del ENDFLIB.DIC
    if exist ENDFLIB.MRG echo ENDFLIB.MRG  >DICTIN.INP
    if exist ENDFLIB.MRG echo ENDFLIB.DIC >>DICTIN.INP
    if exist %pprodir%DICTIN.EXE %pprodir%DICTIN
REM
REM  Stanef (re-sequencing)
REM
    if exist STANEF.INP del STANEF.INP
    if exist ENDFLIB.DIC echo ENDFLIB.DIC   >stanef.inp
    if exist ENDFLIB.DIC echo %2           >>stanef.inp
    if exist ENDFLIB.DIC echo 0            >>stanef.inp
    if exist ENDFLIB.DIC echo 0,N,N,N      >>stanef.inp
    if exist ENDFLIB.DIC echo DONE         >>stanef.inp
    if exist %e6util%stanef.exe %e6util%stanef<stanef.inp
REM
REM Final bookeeping
REM
    if not %3.==. goto reset
    IF EXIST MERGER.INP  DEL MERGER.INP
    IF EXIST MERGER.LST  DEL MERGER.LST
    IF EXIST DICTIN.INP  DEL DICTIN.INP
    IF EXIST DICTIN.LST  DEL DICTIN.LST
    IF EXIST STANEF.INP  DEL STANEF.INP
    IF EXIST ENDFLIB.MRG DEL ENDFLIB.MRG
    IF EXIST ENDFLIB.DIC DEL ENDFLIB.DIC
:reset
    set pprodir=
    set e6util=
rem
rem Done
rem
