@echo off
rem
rem  RmMTDir.bat : Removed derived MTs for all files on a Directory
rem                New modified files are copy under a New Directory
rem                with the same name
rem
rem  Author: D. L. Aldama, IAEA/NDS Consultant
rem
rem  Date: Nov, 2004
rem
rem  Usage: RmMTDir dir1 ndir1 [dir2 ndir2 ]... [dirn ndirn]
rem
rem         dir1, dir2, ... dirn: Directories containing the evaluated
rem                               nuclear data files
rem     ndir1, ndir2, ... ndirn: New directory names for the modified
rem                              evaluated nuclear data files
rem
rem       Pairs of (dirk, ndirk) are requiered as input where k=1,2,... n
rem
rem  Example: RmMTdir e68 e68new j33 j33new
rem
rem  Used procedures and codes: RemDer.bat
rem                             MERGER from PREPRO02 called by REmDer.bat
rem                             DICTIN from PREPRO02 called by REmDer.bat
rem
rem  Operating System: WINDOWS NT, 2000, XP
rem                    (Batch extensions required)
rem
rem  Notes: Check environment variables in RemDer.bat
rem         Check local enviroment variables below
rem
    set prog=/aldama/fendl21/fendlprg/
rem
    echo ***** RmMTDIR.BAT *****
    date/T
    time/T
    echo.
:next
    if %1.==. goto reset
    set dir1=%1\
    if not exist %dir1% goto reset
    shift
    if %1.==. goto reset
    set dir2=%1\
    if not exist %dir2% mkdir %dir2%
    shift
    if exist temp.inp del temp.inp
    echo Processing %dir1%
    dir /B/ON %dir1% >temp.inp
    for /F "delims= " %%i in (temp.inp) do call %prog%RemDer %dir1%%%i %dir2%%%i
    if exist temp.inp del temp.inp
    goto next
:reset
    set prog=
    set dir1=
    set dir2=
    echo.
    date/T
    time/T
    echo ***** Job ended *****
